Fork me on GitHub"

# skbio.tree.TreeNode.__str__

TreeNode.__str__()

  Returns string version of self, with names and distances

  State: Experimental as of 0.4.0.

  Returns

    Returns a Newick representation of the tree

  Return type

    str

  See also

  `read`, `write`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c);"])
      >>> str(tree)
      '((a,b)c);\n'